using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioConjunto
    {
        public IList<entidadeConjunto> SelectOthersTables(entidadeConjunto objConjunto)
        {
            dalConjunto dalConjunto = null;

            var lstConjunto = new List<entidadeConjunto>();
            DataTable dt = null;

            try
            {
                dalConjunto = new dalConjunto();
                dt = dalConjunto.SelectOthersTables(objConjunto);

                foreach (DataRow dr in dt.Rows)
                {
                    objConjunto = new entidadeConjunto();

                    if (!Convert.IsDBNull(dr["ID_CONJUNTO"]))
                        objConjunto.ID_CONJUNTO = Convert.ToInt32(dr["ID_CONJUNTO"]);

                    if (!Convert.IsDBNull(dr["NOME"]))
                        objConjunto.NOME = dr["NOME"].ToString();

                    lstConjunto.Add(objConjunto);
                }
                return lstConjunto;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
